## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionIsEqual

### Workflow::ezcWorkflowConditionIsEqual

### Class ezcWorkflowConditionIsEqual

Condition that checks if a value is equal to a reference value.

Typically used together with ezcWorkflowConditionVariable to use the condition on a workflow variable.

1. <?php
2. $condition=new ezcWorkflowConditionVariable (
3. 'variable name',
4. new ezcWorkflowConditionIsEqual ($comparisonValue)
5. );
6. ?>

Source for this file: /Workflow/src/conditions/is_equal.php

    ezcWorkflowConditionComparison
       |
       --ezcWorkflowConditionIsEqual

Version: | //autogen//

### Member Variables

protected mixed | `$operator = '=='` Textual representation of the comparison operator.

### Inherited Member Variables

From ezcWorkflowConditionComparison
protected | `ezcWorkflowConditionComparison::$value`

### Inherited Methods

From ezcWorkflowConditionComparison
public ezcWorkflowConditionComparison | `ezcWorkflowConditionComparison::__construct()` Constructs a new comparison condition.

Documentation generated by phpDocumentor 1.4.3